Subject: Re: bug#51361: 28.0.60; NS toolbar icons are too big and low res

From: Alan Third <[email-masked]>
Date: Sat, 23 Oct 2021 21:21:00 +0100

package emacs
user emacs
usertag 51361 + ns
thankyou

On Sat, Oct 23, 2021 at 04:09:18PM -0300, Carlos Pita wrote:
> Hi all,
> 
> (see attached screenshot)
> 
> This is probably the NS backend rendering things x2 in a HiDPI screen,
> so the "too big" part doesn't necessarily mean bigger than usual but:
> 
> * Considering that the toolbar is part of the titlebar in this port.
> 
> * Considering that scaling x2 pixelates the icons.
> 
> Wouldn't it be better if it weren't scaled at all, so that we don't have
> a huge title bar with low res icons? I don't know how difficult it is to
> request a different scaling factor for these icons, but if it's feasible
> without a significant amount of effort I believe it's worth it.

I'm not keen to have things show up at different sizes when displayed
on retina vs not on retina. For people (like myself) who have
differently scaled screens, it can result in things magically changing
size, or showing up scaled incorrectly at random. The correct solution
should be to provide hi-res or rescalable icons that are displayed
well at whatever scale the screen has.

Unfortunately that means finding icons that are suitable, and I
suspect for the NS port it may not be super-straightforward to
handle them in the toolbar. I'd have to investigate.

I expect this should be a problem for the PGTK port as well, since it
uses the same scaling method.
-- 
Alan Third